/*
 * LCDDriver.c
 *
 *  Created on: 16.02.2013
 *      Author: kurt
 */

#include "LEDDriverDefinitions.h"
#include "avr/io.h"

void LED_init(void) {
	DDRD |= (1 << LCD_RED) | (1 << LCD_GREEN) | (1 << LCD_BLUE);
	TCCR1A = (1 << COM1A1) | (0 << COM1A0) | (1 << COM1B1) | (0 << COM1B0) | (0 << WGM11) | (1 << WGM10);
	TCCR1B = (0 << CS12) | (1 << CS11) | (0 << CS10);
	TCNT1 = 0;
	OCR1AL = 0xff;
	OCR1BL = 0xff;
	TCCR2A = (1 << COM2B1) | (0 << COM2B0) | (1 << WGM21) | (1 << WGM20);
	TCCR2B = (0 << CS22) | (1 << CS21) | (0 << CS20);
	TCNT2 = 0;
	OCR2B = 0xff;
}

void LED_setColor(uint8_t red, uint8_t green, uint8_t blue) {
	OCR2B = red;
	OCR1AL = green;
	OCR1BL = blue;
}
