/*
 * LCDDriver.c
 *
 *  Created on: 16.02.2013
 *      Author: kurt
 */

#include "stdlib.h"
#include "stdio.h"
#include "ButtonHandler.h"
#include "LEDDriver.h"
#include "LCDDriver.h"
#include "string.h"
#include "avr/io.h"

ButtonData buttons[BUTTON_COUNT];

void Button_init(void) {
	uint8_t but;
	for (but = 0; but < BUTTON_COUNT; but++) {
		buttons[but].buttonID = 0xff;
		memset(buttons[but].lines[0], 0, BUTTON_TEXTSIZE);
		memset(buttons[but].lines[1], 0, BUTTON_TEXTSIZE);
		memset(buttons[but].lines[2], 0, BUTTON_TEXTSIZE);
		buttons[but].line = 0;
		buttons[but].column = 0;
	}
}

void Button_setPrintButton(uint8_t id, uint8_t button, uint8_t line) {
	buttons[button].buttonID = id;
	if (id == 0xff) {
		buttons[button].line = 0;
		buttons[button].column = 0;
	} else {
		buttons[button].line = line;
		buttons[button].column = 0;
	}
	printTarget = button;
}
