/*
 * ButtonHandler.h
 *
 *  Created on: 01.04.2013
 *      Author: kurt
 */

#ifndef BUTTONHANDLER_H_
#define BUTTONHANDLER_H_

#define BUTTON_COUNT 12
#define BUTTON_TEXTSIZE 10

typedef struct structButtonData {
	uint8_t buttonID;
	uint8_t line, column;
	char lines[3][BUTTON_TEXTSIZE + 1];
} ButtonData;

extern ButtonData buttons[];

void Button_init(void);
void Button_setPrintButton(uint8_t id, uint8_t button, uint8_t line);

#endif /* BUTTONHANDLER_H_ */
