/*
 * EEPROMHandler.c
 *
 *  Created on: 22.03.2013
 *      Author: kurt
 */

#include "inttypes.h"
#include <avr/eeprom.h>

int16_t eeprom_touchData[4] __attribute__ ((section(".eeprom"))) = { 0, 0, 0, 0 };

void EEPROM_writeTouchData(int16_t td[]) {
	while (!eeprom_is_ready());
	eeprom_write_block(&td[0], &eeprom_touchData[0], 8);
}

void EEPROM_readTouchData(int16_t td[]) {
	eeprom_read_block(&td[0], &eeprom_touchData[0], 8);
}
