/*
 * LCDDriver.h
 *
 *  Created on: 16.02.2013
 *      Author: kurt
 */

#ifndef LCDDRIVER_H_
#define LCDDRIVER_H_

extern uint8_t printTarget;

void LCD_init(void);
void LCD_loop(uint8_t forced);
void LCD_setPrintfMode(void);
void LCD_setPrintButtonMode(void);
void LCD_setPrintLogoMode(void);
void LCD_enableGraphics(uint8_t enable);
void LCD_setGraphicsData(uint8_t where, int8_t audiogramm, int8_t filter);
void LCD_showUpperLeft(void);
void LCD_showLowerRight(void);
void LCD_hideCorners(void);
void LCD_setCharPos(uint8_t, uint8_t);
void LCD_putBuffer(char c);

#endif /* LCDDRIVER_H_ */
